Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
cu_dinh

Trích tọa độ trong cad

Các bài được khuyến nghị

Các bạn cho mình hỏi :

Bây giờ minh mốn trích tọa độ một điểm bất kỳ trong cad ra màn hinh của nó thì làm thế nào?

có dùng lisp gì không hay chỉ dùng lệnh trong cad?

Tiện thể chỉ cho mình cách trích tọa độ ra ễcl luôn

Mình có file cad thể hiện đây :

http://www.cadviet.com/upfiles/3/ban_ve_toa_do_duong_khu_r4b.rar

mà mình không biết làm thế nào.

mail cua mình : luongcongdinhgtvt@gmail.com

Cảm ơn các bạn nhìu!!!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các bạn cho mình hỏi :

Bây giờ minh mốn trích tọa độ một điểm bất kỳ trong cad ra màn hinh của nó thì làm thế nào?

có dùng lisp gì không hay chỉ dùng lệnh trong

== làm cách nào để đo được tọa độ x/y của một đường thẳng. minh muốn xuất các tọa độ để lập trình lệnh CNCcho các bước chạy dao

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các bạn cho mình hỏi :

Bây giờ minh mốn trích tọa độ một điểm bất kỳ trong cad ra màn hinh của nó thì làm thế nào?

có dùng lisp gì không hay chỉ dùng lệnh trong

== làm cách nào để đo được tọa độ x/y của một đường thẳng. minh muốn xuất các tọa độ để lập trình lệnh CNCcho các bước chạy dao

Để ghi tọa độ ra màn hình bạn dùng LSP này (Hình như của Mr Thai)

;; free lisp from cadviet.com
;;; this lisp was downloaded from http://www.cadviet.com/forum/index.php?showtopic=12225
;GHI TOA DO CAC DIEM VA THONG KE THANH BANG
----------------------------------------------
(defun C:td1 (/ diem PT1 PT2 PT3 tapx tapy
	x y xx yy h n di kc
	C PT PTX PTY PTD PTC N
	p1 p2 p3 p4 p11 p22 p33 L1 L2 L11 L22)
(setvar "cmdecho" 0 )
(command "Undo" "Begin") 
 (setq om (getvar "osmode"))
 (setq tapx '()
tapy '()
stt '()
k 0
h (getreal "\nnhap chieu cao chu:"))

(while
 (setq diem (getpoint "\nchon cac vi tri co toa do can ghi:"))
 (progn
(setq   PT1 (list(+ (* 3 h) (car diem))(+ (* 3 h) (cadr diem)))
 PT2 (list (car PT1) (- (cadr PT1)(+ 1 h) ) )
  x (rtos(car diem) 2 4)
y (rtos (cadr diem) 2 4)
tapx (append tapx (list x))
tapy (append tapy (list y))
 ;;;;;; k (+ 1 k)
  ;;;;;N (strcat "N" (rtos k 2 0))
 ;;;; stt (append stt (list N))
  );setq
 (setvar "osmode" 0)
 (command "text" "j" "BL" PT1 h 0 x)
 (setq TB (textbox (entget(entlast)))
LC (car TB)
RC (cadr TB)
di (distance LC RC)
PT3 (polar PT1 0 (+ di h))
;;;;;;C  (polar PT3 0 (* 1.5 h))
  );setq
(command "text" PT2 h 0 y
  "pline" diem PT1 PT3 ""
  ;;;;;"circle" (polar PT3 0 (* 1.5 h)) (* 1.5 h)
  ;;;;;"text" "m" (polar PT3 0 (* 1.5 h)) h 0 N
)

(setvar "osmode" om)
);progn  
 );dong while

;tao bang thong ke
 (setq kc (* 2 di)
 PT (getpoint"\nvi tri dat bang :")
PTC (list (+ (* 2 kc) di (car PT)) (cadr PT))
  p1 (list (car PT) (+ (cadr PT)(* 2 h)))
  p2 (list (car PTC) (+ (cadr PTC)(* 2 h)))
p3 (list (car p1) (+ (cadr p1)(* 2 h)))
p4 (list (car p2) (+ (cadr p2)(* 2 h)))
PTD (list (+ (/ di 2) (car PT))  (+ h (cadr PT)))
PTX (list (+ di (/ di 2) (car PTD)) (cadr PTD))
PTY (list (+ kc (car PTX)) (cadr PTX))
  p11 (list (+ (/ di 2) (car p1))  (+ h (cadr p1)))
  p22 (list (+ di (/ di 2) (car p11)) (cadr p11))
  p33 (list (+ kc (car p22)) (cadr p22))
  L1 (list (+ di (car p3))(cadr p3))
  L2 (list (+ kc (car L1))(cadr L1))
 n (length tapx)
 k 0
);setq
(setvar "osmode" 0)
 (command "line" p1 p2 ""
"text" "j" "m" p11 h 0 "STT"
"text" "j" "m" p22 h 0 "Täa ®é X"
"text" "j" "m" p33 h 0 "Täa ®é Y"
"line" p3 p4 "")
 (while (< k n)
(setq xx (nth k tapx)
  yy (nth k tapy)
 tstt(nth k stt))
(command "text" "j" "m" PTD h 0 tstt
"text" "j" "m" PTX h 0 xx
  "text" "j" "m" PTY h 0 yy
  "line" PT PTC "")
(setq PT (list (car PT) (- (cadr PT)(* 2 h)))
  PTC (list (+ (* 2 kc) di (car PT)) (cadr PT))
 PTD (list (+ (/ di 2) (car PT))  (+ h (cadr PT)))
 PTX (list (+ di (/ di 2) (car PTD)) (cadr PTD))
 PTY (list (+ kc (car PTX)) (cadr PTX))
  k (+ 1 k));setq
 );while
 (if (= k n)
(setq PT (list (car PT) (+ (cadr PT)(* 2 h)))
PTC (list (+ (* 2 kc) di (car PT)) (cadr PT))
  L11 (list (+ di (car PT))(cadr PT))
  L22 (list (+ kc (car L11))(cadr L11))
  );setq
);if
(command "line" p3 PT ""
"line" p4 PTC ""
  "line" L1 L11 ""
  "line" L2 L22 "")
(setvar "osmode" om )
(setvar "cmdecho" 1)
(prompt"\nxong\n")
 (command "Undo" "End")
 (princ)
);DONG toado

làm cách nào để đo được tọa độ x/y của một đường thẳng. minh muốn xuất các tọa độ để lập trình lệnh CNCcho các bước chạy dao

Chưa hiểu ý của bạn.

- Nếu đo kích thước chiều dài đoạn thẳng thì được. (?)

- Lấy tọa độ các điểm đầu cuối của đoạn thẳng cũng được (?)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

sao tôi dùng lệnh IP để bắt tọa độ của đường thẳng mà không được vậy bạn.

Hề hề hề,

Bạn có lộn tiệm không vậy???

cad có lệnh ID dùng để xuất tọa độ point ra màn hình, còn lệnh IP thì không có, (trừ phi bạn có lệnh tắt riêng của bạn hay lệnh của lisp).

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn nên học cad cho tốt trước khi hỏi. Cẩn thận nhầm nhọt sang trồng trọt như Bác Bình vừa nêu ở trên nhé. Dân Trắc Địa phải linh hoạt xử lý số liệu.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tốt nhất bạn dùng lệnh ID để xem tọa độ một điểm, còn lệnh LI là list tọa độ một vùng kín, DI đo chiều dài một đoạn thẳng. Đó là kinh nghiệm của mình thôi,chưs mình vẫn gà lắm, mới biết sơ sơ thôi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

gưi bạn cái lisp này rất tiện dụng .bạn xuất toạ độ và chiều dài trên cad và tạo ra bản luôn .chúc bạn nay mắn.sau khiload lisp vào cad ,dung lệnh tắt là "vc" pic vào điẻm cần xuất toạ độ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

http://www.cadviet.com/upfiles/4/136925_47404_vc.lsp

gưi bạn cái lisp này rất tiện dụng .bạn xuất toạ độ và chiều dài trên cad và tạo ra bản luôn .chúc bạn nay mắn.sau khiload lisp vào cad ,dung lệnh tắt là "vc" pic vào điẻm cần xuất toạ độ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×